Search results page uses legacy icons
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.3   

Resolution: Fixed Affected version:  

Description

Please see the screenshots below:

 clipboard-202412201052-vcy9o.png 

Associated revisions

Revision 23416 - 2024-12-22 06:30 - Go MAEDA

Replace legacy icons on search results pages with SVG icons (#42023).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23458 - 2025-01-22 03:53 - Go MAEDA

Merged r23416 from trunk to 6.0-stable (#42023).

History

#1 - 2024-12-20 08:26 - Mizuki ISHIKAWA

- File 0001-Replace-legacy-icons-on-search-results-pages-with-sv.patch added

- File screenshot 2024-12-20 16.21.10.png added

- File screenshot 2024-12-20 16.21.19.png added

Attached is a patch to fix the problem.

 screenshot 2024-12-20 16.21.10.png  screenshot 2024-12-20 16.21.19.png 

#2 - 2024-12-20 08:29 - Mizuki ISHIKAWA

- File screenshot 2024-12-20 16.29.14.png added

 screenshot 2024-12-20 16.29.14.png 

#3 - 2024-12-21 06:57 - Go MAEDA

- File icon-reply-before@2x.png added

- File icon-reply-after@2x.png added

Mizuki ISHIKAWA wrote in #note-1:

Attached is a patch to fix the problem.

 Thank you for submitting the patch. But I noticed that the patch does not include icons for forum replies (icon-reply).

Could you update the patch to include the icon-reply icon?

With the patch applied:
icon-reply-after@2x.png 

Redmine 6.0.2:
#4 - 2024-12-21 08:05 - Mizuki ISHIKAWA

- File 0002-Replace-lefacy-reply-icon-with-svg-icon.patch added

- File clipboard-202412211603-3iaip.png added

Thank you for submitting the patch. But I noticed that the patch does not include icons for forum replies (icon-reply).

Could you update the patch to include the icon-reply icon?

 Thanks for the review, I have attached a patch to add the reply icon.

I have tried https://tabler.io/icons/icon/messages for the reply icon, what do you think?

 clipboard-202412211603-3iaip.png 

#5 - 2024-12-22 06:30 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches in r23416. Thank you for your contribution.

#6 - 2025-01-22 03:53 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23458.
